import Vue from 'vue';
import Vuex from 'vuex';
import * as ustate from '@common/src/store/user/state';
import * as umutations from '@common/src/store/user/mutations';
import disclosure from '@common/src/store/patent/disclosure';
import report from '@common/src/store/patent/report';
import notice from '@common/src/store/patent/notice';
// 管理员
import adminLogin from '@common/src/store/adminLogin';
// 个人
import personal from '@common/src/store/personal';
// 邀请码
import inviteCode from '@common/src/store/inviteCode';
// 机构
import organization from '@common/src/store/organization';
// 专家
import expert from '@common/src/store/expert';
import mission from '@common/src/store/mission';
import patent from '@common/src/store/patent';
import purchase from '@common/src/store/patent/purchase';
import sell from '@common/src/store/patent/sell';
// 产品
import product from '@common/src/store/product';
// 技术新闻
import column from '@common/src/store/column';
import news from '@common/src/store/news';
import universal from '@common/src/store/universal';
import viewPoint from '@common/src/store/viewPoint';
import dimension from '@common/src/store/dimension';
import patentnav from '@common/src/store/patentnav';
Vue.use(Vuex);

export default new Vuex.Store({
  state: { ...ustate },
  mutations: { ...umutations },
  actions: {},
  modules: {
    disclosure,
    adminLogin,
    personal,
    inviteCode,
    organization,
    expert,
    report,
    notice,
    mission,
    patent,
    purchase,
    sell,
    product,
    column,
    news,
    universal,
    viewPoint,
    dimension,
    patentnav,
  },
});
